---
title: "List Capabilities of Virtual Accounts"
source_url: https://docs.rapyd.net/en/list-capabilities-of-virtual-accounts.html
lang: en
---

# List Capabilities of Virtual Accounts

Retrieve a list of the capabilities of virtual accounts you can issue to a Rapyd Wallet.

The list is filtered by country.

> **Note:**
>
> - To use this feature in production, contact [Rapyd Client Support](https://support.rapyd.net).
> - This endpoint replaces the deprecated endpoint - `GET v1/issuing/bankaccounts/capabilities/:country`
>
>   Rapyd no longer supports the deprecated endpoint.

### Parameters

### Request Path Parameters

- - country
  - Two-letter ISO 3166-1 ALPHA-2 code of the country.

### Request Header Parameters

- - access_key
  - Unique access key provided by Rapyd for each authorized user.

    See [Developers](https://docs.rapyd.net/en/developers.md "Developers").
- - Content-Type
  - Indicates that the data appears in JSON format. Set to **application/json**.
- - salt
  - Random string. Recommended length: 8-16 characters.
- - signature
  - Signature calculated for each request individually.

    See [Request Signatures](https://docs.rapyd.net/en/request-signatures.md "Request Signatures").
- - timestamp
  - Timestamp for the request, in [Unix time](https://docs.rapyd.net/en/glossary.md#UUID-945d98cf-adae-e1cf-2606-c7fae8b4a7e1_unix_time "Unix time") (seconds).

### Response Parameters

- - accept_swift
  - Indicates whether the virtual account has a SWIFT code:

    - **true** - Has SWIFT code.
    - **false** - Does not have SWIFT code.
- - account_id_type
  - Type of the virtual account number:

    - **iban** - International bank account number (IBAN).
    - **clabe** - CLABE number.
    - null - Regular bank account number.
- - country
  - Two-letter ISO 3166-1 ALPHA-2 code for the country.
- - local_bank_code_type
  - Type of the local bank code:

    - **bic**
    - **aba**
    - **sort_code**
    - **bsb**
    - **cnaps**
    - **ifsc**
- - refundable
  - Indicates whether funds in the virtual account can be refunded.

    - **true** - Refundable.
    - **false** - Non-refundable.
- - remitter_details
  - Indicates whether remitter details are available:

    - **true** - Remitter details are available.
    - **false** - Remitter details are not available.
- - supported_currencies
  - Array of currencies supported for the virtual account. Array of strings. Three-letter ISO 4217 code.

- /v1/virtual_accounts/capabilities/:country

- List Capabilities of Virtual Accounts
- ```curl
  curl -X get
  https://sandboxapi.rapyd.net/v1/virtual_accounts/capabilities/sg
  -H 'access_key: your-access-key-here'
  -H 'Content-Type: application/json'
  -H 'salt: your-random-string-here'
  -H 'signature: your-calculated-signature-here'
  -H 'timestamp: your-unix-timestamp-here'
  ```
- ```json
  {
      "status": {
          "error_code": "",
          "status": "SUCCESS",
          "message": "",
          "response_code": "",
          "operation_id": "8b4dd067-91e3-4d67-be79-9295588c2d17"
      },
      "data": {
          "country": "sg",
          "supported_currencies": [
              "AUD",
              "CHF",
              "EUR",
              "GBP",
              "HKD",
              "JPY",
              "NOK",
              "NZD",
              "SEK",
              "SGD",
              "USD"
          ],
          "account_id_type": "account_number",
          "accept_swift": true,
          "refundable": false,
          "remitter_details": true,
          "local_bank_code_type": "bic"
      }
  }
  ```
